
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This patch fixes the following errors.
We need C99 struct initialization.

  CC      arch/mips/kernel/setup.o
arch/mips/kernel/setup.c:89: warning: initialization makes integer from pointer without a cast
arch/mips/kernel/setup.c:89: error: initializer element is not computable at load time
arch/mips/kernel/setup.c:89: error: (near initialization for 'code_resource.start')
arch/mips/kernel/setup.c:90: warning: initialization makes integer from pointer without a cast
arch/mips/kernel/setup.c:90: error: initializer element is not computable at load time
arch/mips/kernel/setup.c:90: error: (near initialization for 'data_resource.start')
make[1]: *** [arch/mips/kernel/setup.o] Error 1
make: *** [arch/mips/kernel] Error 2

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/mips/kernel/setup.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/mips/kernel/setup.c~mips-fixed-kernel-code-resource arch/mips/kernel/setup.c
--- 25/arch/mips/kernel/setup.c~mips-fixed-kernel-code-resource	Thu Feb 24 17:01:30 2005
+++ 25-akpm/arch/mips/kernel/setup.c	Thu Feb 24 17:01:30 2005
@@ -86,8 +86,8 @@ EXPORT_SYMBOL(mips_io_port_base);
 unsigned long isa_slot_offset;
 EXPORT_SYMBOL(isa_slot_offset);
 
-static struct resource code_resource = { "Kernel code" };
-static struct resource data_resource = { "Kernel data" };
+static struct resource code_resource = { .name = "Kernel code", };
+static struct resource data_resource = { .name = "Kernel data", };
 
 void __init add_memory_region(phys_t start, phys_t size, long type)
 {
_
